package tauzaman;

import java.util.GregorianCalendar;



public class ExpensiveTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		GregorianCalendar gc;
		
		gc = new GregorianCalendar();
		long start = gc.getTimeInMillis();
		long end;
		for(int i = 3; i < 1000000004; i++) {
			int r = 5 / 3;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Integer Division: " + (end - start) + " ms");
		
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			int r = 5 * 3;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Integer Multiplication: " + (end - start) + " ms");
		
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			int r = 5 + 3;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Integer Addition: " + (end - start) + " ms");
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			int r = 4 >> 1;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Integer Shift: " + (end - start) + " ms");

		float five = (float)5.43;
		float three = (float)3.5;
		
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			float r = five / three;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Float Division: " + (end - start) + " ms");
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			float r = five * three;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Float Multiplication: " + (end - start) + " ms");
		
		gc = new GregorianCalendar();
		start = gc.getTimeInMillis();
		for(int i = 3; i < 1000000004; i++) {
			float r = five + three;
		}
		gc = new GregorianCalendar();
		end = gc.getTimeInMillis();
		System.out.println("Float Addition: " + (end - start) + " seconds");
	}

}
